Changeset - r8289:96355645420f
[Not reviewed]
master
0 3 0
bjarni - 17 years ago 2008-01-14 20:30:05
bjarni@openttd.org
(svn r11853) -Fix [r11837]: [OSX] reconfigure killed the space in shared-dir
Thanks to TrueLight for finding the solution to this one
Note: if the shared-dir setting is already broken due to this then you have to manually run configure again
3 files changed with 3 insertions and 3 deletions:
0 comments (0 inline, 0 general)
Makefile.in
Show inline comments
 
@@ -76,13 +76,13 @@ config.cache: $(CONFIG_CACHE_SOURCE_LIST
 
ifeq ($(shell if test -f config.cache; then echo 1; fi), 1)
 
	@echo "----------------"
 
	@echo "The system detected that source.list or any configure file is altered."
 
	@echo " Going to reconfigure with last known settings..."
 
	@echo "----------------"
 
# Make sure we don't lock config.cache
 
	@$(shell cat config.cache) || exit 1
 
	@$(shell cat config.cache | sed 's/\\ /\\\\ /g') || exit 1
 
	@echo "----------------"
 
	@echo "Reconfig done. Now compiling..."
 
	@echo "----------------"
 
else
 
	@echo "----------------"
 
	@echo "Have not found a configuration, please run configure first."
config.lib
Show inline comments
 
@@ -820,13 +820,13 @@ check_params() {
 
		fi
 
	fi
 

	
 
	if [ "$shared_dir" = "1" ]; then
 
		# we are using default values
 
		if [ "$os" = "OSX" ]; then
 
			shared_dir='/Library/Application\\ Support/OpenTTD'
 
			shared_dir="/Library/Application\\\\ Support/OpenTTD"
 
		else
 
			shared_dir=""
 
		fi
 
	fi
 

	
 
	if [ -n "$personal_dir" ]
configure
Show inline comments
 
@@ -34,13 +34,13 @@ SOURCE_LIST="$ROOT_DIR/source.list"
 
if [ "$1" = "--reconfig" ] || [ "$1" = "--reconfigure" ]; then
 
	if ! [ -f "config.cache" ]; then
 
		echo "can't reconfigure, because never configured before"
 
		exit 1
 
	fi
 
	# Make sure we don't lock config.cache
 
	cat config.cache > cache.tmp
 
	cat config.cache | sed 's/\\ /\\\\ /g' > cache.tmp
 
	sh cache.tmp
 
	rm -f cache.tmp
 
	exit $?
 
fi
 

	
 
set_default
0 comments (0 inline, 0 general)